glab(1)

NAME

glab-schedule-create - Schedule a new pipeline.

SYNOPSIS

glab schedule create [flags]

DESCRIPTION

Schedule a new pipeline.

OPTIONS

--active[=true]
    Whether or not the schedule is active.

--cron=""
    Cron interval pattern.

--cronTimeZone="UTC"
    Cron timezone.

--description=""
    Description of the schedule.

--ref=""
    Target branch or tag.

--variable=[]
    Pass variables to schedule in the format :.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab schedule create --cron "0 * * * *" --description "Describe your pipeline here" --ref "main" --variable "foo:bar" --variable "baz:baz"

SEE ALSO

glab-schedule(1)